Skip to main content
GET
/
users
List users
curl --request GET \
  --url https://api-staging.pixwel.com/api/users \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'X-Range: <x-range>'
[
  {
    "_id": "5333732167d621b0298b4569",
    "status": {
      "invited": true,
      "approved": true,
      "registered": false,
      "confirmed": false
    },
    "name": "Adstream Brazil",
    "username": "adstream+brazil@pixwel.com",
    "emailNormal": "adstream+brazil@pixwel.com",
    "invite": "https://platform.pixwel.com/register/:code",
    "preferences": {
      "blacklist": {
        "projects": [
          "<unknown>"
        ]
      },
      "ingest": {
        "maxUploads": 1,
        "skipScratchPreview": false
      },
      "mail": {
        "assets": 3600,
        "enabled": true,
        "files": 3600,
        "ingest": 0,
        "offline_comments": -1,
        "others": 3600,
        "projects": 3600,
        "shares": 0,
        "work_requests": 0,
        "work_request_comments": -1,
        "workflow": -1
      }
    },
    "territory": {
      "_id": "51e149cdd5cddce641000003",
      "name": "Brazil",
      "$links": {
        "self": "//api-staging.pixwel.com/api/Territories/51e149cdd5cddce641000003"
      }
    },
    "created": 1395880737,
    "$links": {
      "self": "//api-staging.pixwel.com/api/Users/5333732167d621b0298b4569",
      "territory": "//api-staging.pixwel.com/api/Territories/51e149cdd5cddce641000003"
    },
    "groups": [
      {
        "_id": "532245f767d621fe1c8b456c",
        "name": "Adstream Brazil (BPO)",
        "addresses": [
          "<unknown>"
        ],
        "studios": [
          "56ccc253fa1e4681688b456c"
        ],
        "type": "v",
        "users": [
          "5333732167d621b0298b4569"
        ],
        "$links": {
          "self": "//api-staging.pixwel.com/api/Groups/532245f767d621fe1c8b456c"
        }
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-Range
string
default:resources=0-9
required

Pagination range (e.g. resources=0-9, resources=10-19)

Query Parameters

id
string
q
string
registered
string
approved
string

Response

200 - application/json

OK

_id
string
Example:

"5333732167d621b0298b4569"

status
object
name
string
Example:

"Adstream Brazil"

username
string
Example:

"adstream+brazil@pixwel.com"

emailNormal
string
Example:

"adstream+brazil@pixwel.com"

invite
string
Example:

"https://platform.pixwel.com/register/:code"

preferences
object
territory
object
created
integer
Example:

1395880737

groups
object[]